Subject: Recall process

From: S Moonesamy <[email-masked]>
Date: Wed, 20 Mar 2019 14:47:50 -0700

Hi Spencer,
At 05:52 PM 16-03-2019, Spencer Dawkins at IETF wrote:
>Beyond that ... the Nomcom position review process, and the recall 
>process, described in https://tools.ietf.org/html/rfc7437 would apply.

I read RFC 7437.  The IETF RFC states that it documents an Internet 
Best Current Practice.  The rule for "member recall" creates two 
classes of "members of the IETF community", i.e. a voting class and a 
disenfranchised class.  If it is pointed out to me that the recall 
process would apply, I unfortunately have to disagree with 
that.  Should the rule be considered as Internet Worst Current 
Practice given that it favors a group of persons over another?

Regards,
S. Moonesamy

---

From: "Scott O. Bradner" <[email-masked]>
Date: Wed, 20 Mar 2019 19:53:07 -0400

are you referring to the people who could qualify for the noncom and those who could not?

just trying to be sure what you are referring to 

Scott

> On Mar 20, 2019, at 5:47 PM, S Moonesamy <[email-masked]> wrote:
> 
> Hi Spencer,
>> Beyond that ... the Nomcom position review process, and the recall process, described in https://tools.ietf.org/html/rfc7437 would apply.
> 
> I read RFC 7437.  The IETF RFC states that it documents an Internet Best Current Practice.  The rule for "member recall" creates two classes of "members of the IETF community", i.e. a voting class and a disenfranchised class.  If it is pointed out to me that the recall process would apply, I unfortunately have to disagree with that.  Should the rule be considered as Internet Worst Current Practice given that it favors a group of persons over another?
> 
> Regards,
> S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Wed, 20 Mar 2019 19:21:49 -0700

Hi Scott,
>just trying to be sure what you are referring to

I was referring to the rule in Section 7 of RFC 7437 which sets the 
requirements for qualified signatories.  I was not referring to the 
nomcom process.

Regards,
S. Moonesamy

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 21 Mar 2019 16:47:59 +1300

> requirements for qualified signatories.  I was not referring to the 

Yes, I believe it intentionally creates two classes of participants -
those with, or without, reasonable personal knowledge of the individual
concerned and the situation that has arisen.

As I attend fewer meetings than in the past, I certainly find it
harder to make judgments about tricky situations. So I find the rule
reasonable.

   Brian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Thu, 21 Mar 2019 03:46:11 -0500

Hi, SM,

> Practice given that it favors a group of persons over another?

I have opinions about the definition of "Nomcom-eligible" in RFC 7437, but
note that my quoted text was the 4th or 5th level of response to an
instance of ADs ignoring their own conflict of interest (and thanks for
changing the subject for your e-mail here).

So the point I was making in my note was that there are multiple levels of
safeguards before we get anywhere close to an RFC 7437 recall. If a working
group, the AD in question, and the IESG don't see a problem when there's a
problem, we're really off the rails and into the weeds.

It wasn't my intention to make judgements in favor of, or against, the
requirements in RFC 7437 to sign a recall petition.

And it's reasonable for people who have opinions about this to write drafts
proposing improvements - heck, even I have written drafts that updated the
Nomcom process.

Spencer

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 21 Mar 2019 08:52:08 -0000

People signing a recall petition are not making judgements. Those judgements are made by the recall committee.

The recall petition simply requests that a situation is looked into.

Let's take an extreme case.

Suppose an AD made a decision that was hugely detrimental to remote participants while favouring people who attend meetings in person. This would only be something subject to a recall petition if the beneficiaries of the decision decided to issue the recall petition. This detail disenfranchises the increasing number of remote participants.

Now, we all know that such situations are unlikely. We also know that we haven't seen a lot of recall petitions let alone actual recalls. But that is not the point.

There are two key points to these rules:

- To be able to handle extreme and exceptional conditions correctly
- To present a face that is open, welcoming, and fair

We fail the second of these, and the first looks shaky.

The rule was written before registering for remote participation was a thing. 

It's an easy fix. Allow petitions to be signed by people who have registered or attended. Change no other parts of the rules.

Adrian

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Brian E Carpenter
Sent: 21 March 2019 03:48
To: [email-masked]
Subject: Re: Recall process

   Brian

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Mar 2019 02:26:29 -0700

Hi Spencer,
At 01:46 AM 21-03-2019, Spencer Dawkins at IETF wrote:
>And it's reasonable for people who have opinions about this to write 
>drafts proposing improvements - heck, even I have written drafts 
>that updated the Nomcom process.

Thanks for the response.

Please see https://datatracker.ietf.org/doc/draft-moonesamy-nomcom-eligibility/

Regards,
S. Moonesamy

---

From: Harald Alvestrand <[email-masked]>
Date: Thu, 21 Mar 2019 12:58:38 +0100

> requirements for qualified signatories.  I was not referring to the

when we revisited this 10 years ago, the consensus was that if a recall
petition didn't find enough signatures among the people who were
nomcom-eligible, it was likely not a reasonable recall to pursue anyway.
Unlike with nomcoms, a recall petition only needs a few signatures -
most people who are active in the IETF know someone who's
nomcom-eligible and could try to convince them to sign.

The bar for initiating a recall is pretty low, given the size of the
nomcom-eligible population.

-- 
Surveillance is pervasive. Go Dark.

---

From: John C Klensin <[email-masked]>
Date: Thu, 21 Mar 2019 09:35:20 -0400

Adrian,

--On Thursday, March 21, 2019 08:52 +0000 Adrian Farrel
<[email-masked]> wrote:

> People signing a recall petition are not making judgements.
> Those judgements are made by the recall committee.
> 
> Suppose an AD made a decision that was hugely detrimental to
> remote participants while favouring people who attend meetings
> in person. This would only be something subject to a recall
> petition if the beneficiaries of the decision decided to issue
> the recall petition. This detail disenfranchises the
> increasing number of remote participants.
 
> Now, we all know that such situations are unlikely. We also
> know that we haven't seen a lot of recall petitions let alone
> actual recalls. But that is not the point.

It actually is part of the point if the recall process is
designed (whether intentionally or not) to discourage recall
initiations.  There have been analyses of that, and proposals to
try to adjust things, before (see below) but they have been
dropped because it was clear that getting them seriously
considered was either nearly impossible or that the problem
wouldn't justify the amount of energy it would cost and/or the
amount of rancor it would cause.  That issue may or not
discriminate against remote participants -- it is possible that
it has negative effects on everyone (see response to Harald
below).

> We fail the second of these, and the first looks shaky.

Indeed, and not a new observation.

> participation was a thing. 

The observation was made years ago that we couldn't do anything
with remote participants and recalls because remote participants
didn't register and because registering them would be an
intrusion on the privacy of those who just wanted to quietly
lurk.  The response was to suggest a change with an uncanny
resemblance to where, for other reasons, we have ended up today:
those who wanted to participate remotely needed to register
while those who just wanted to listen and/or watch didn't.
That idea went nowhere, leading some people to conclude that the
IESG didn't want a change (possibly because they believed that
considering it would be more trouble than it was worth) and that
the "no registration" story was just an excuse.
 
> It's an easy fix. Allow petitions to be signed by people who
> have registered or attended. Change no other parts of the
> rules.

Again, been proposed before.  Went nowhere.   While I blame a
lot of the problme of lack of progress in areas like this on the
IESG (and have since the NEWTRK meltdown), there is also the
matter that, AFAICT, the vast majority of the IETF just wants to
get the things done they come to participate for, thinks that
are mostly technical, and has little enthusiasm for process
issues.  That, as we have seen (and continue to see) with the
small number of people who have been actively involved in the
IASA2 process and contributing to the WG of that name, makes it
hard to get momentum and easy for the IESG to (accurately) say
"not enough people care" when a proposed process change is
something that does not originate within it IESG or within a
close circle of friends of at least some ADs.    Have things
changed enough to make a new proposal likely to succeed?  I
believe so, but have not seen a lot of evidence.

And...

--On Thursday, March 21, 2019 12:58 +0100 Harald Alvestrand
<[email-masked]> wrote:

> when we revisited this 10 years ago, the consensus was that if
> a recall petition didn't find enough signatures among the
> people who were nomcom-eligible, it was likely not a
> reasonable recall to pursue anyway.

Yep.   And a reasonable concern if there was reason to fear
assorted edge personalities and trolls using the recall process
to paralyze the IETF generally and the IESG in particular.  The
observation that appeals were far easier to mount, even under
the original, RFC 2027, "Anyone may request...", and had never
caused such paralysis was legitimate, but recalls require far
more community resources.  So a change was made to raise the
bar, which, IMO, was completely reasonable.

However, the decision to raise it to 20 and to tie that to
nomcom-eligibility were questionable then and remain
questionable today.  The latter was, IIR, largely because it
seemed at the time like a plausible criterion and no one had
much energy to develop and consider other options.   Whether
that was reasonable then or not, increases in remote
participation (and IETF commitments to facilitating and
encouraging remote participation) make it unreasonable now and,
as Adrian effectively points out, unreasonable whether we
actually believe more recalls are needed or just because of the
importance of keeping the process perceived of as open,
welcoming, and fair.

> Unlike with nomcoms, a
> recall petition only needs a few signatures - most people who
> are active in the IETF know someone who's nomcom-eligible and
> could try to convince them to sign.
 
> The bar for initiating a recall is pretty low, given the size
> of the nomcom-eligible population.

Might have been true a decade or so ago although I thought it
was questionable even then because we had a few people who were
attending few meetings f2f but who were much more clearly
contributing in obvious and important ways that most of the
people who showed up at meetings to enjoy the social contacts,
enjoy fine lunches and dinners, contribute registration fees to
the pot, and otherwise warm seats and do email.

20 is actually a lot of signatures, especially for someone who
is mostly participating remotely and/or is actively involved
only in a single WG or work topic (both makes it worse).  It is
an even higher barrier if people are worried about retaliation
--from either the subject of the recall or from others in the
leadership trying to protect one of their own or avoid the work
and disruption that recalls cause.  That is a concern I've heard
often in recent years but can't remember anyone's being worried
about ten or fifteen years ago (maybe I have just forgotten or
was too close to the leadership myself for anyone to tell me).
There is a further deterrent to anyone who can look at the
required timeline (especially if there were foot-dragging
anywhere in the system), consult a calendar, and count
backwards, especially if they are aware that recall efforts have
been discouraged in the past by pointing out that, by the time
any recall could get someone out, it would be so close to their
coming up on the normal Nomcom cycle that the recall would be a
pointless waste of time and resources.  That situation brings us
pretty close to a situation in which it is reasonable to believe
that the recall process, as now specified, was designed to be
unusable (again, that is not an assertion of intent -- it could
have been, and probably was, designed that way as the result of
a series of accidents).

Sadly, while I'd like to see a different criterion than
nomcom-eligibility used for recalls, if only because it would
improve the optics somewhat, getting to a recall (or other
exceptional removal) procedure that was perceived as usable and
likely to be effective in "extreme and exceptional conditions"
and having it perceived as a useful element of "open, welcoming,
and fair" would require more than that bit of tuning.

best,
    john

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Mar 2019 14:40:27 -0700

Hi Brian,
>concerned and the situation that has arisen.

My reading of that above is that there is a presumption that an 
attendee which fulfills the requirements would have reasonable and 
personal knowledge of the individual concerned.  There is an 
unrelated draft in which it is mentioned that "maximal inclusiveness 
is paramount".  The draft also mentioned meetings with a lot of 
"tourists".  How is that belief reconciled with what is quoted above?

Regards,
S. Moonesamy

---

From: Ólafur Gudmundsson <[email-masked]>
Date: Thu, 21 Mar 2019 21:47:21 +0000

⁣Get BlueMail for Android ​

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 22 Mar 2019 11:18:18 +1300

> People signing a recall petition are not making judgements. 

I disagree. It's not the final judgment, but it's still clearly
a preliminary judgment and it will have a distinctly negative
effect on the individual concerned, whatever the outcome. So
IMHO it's a very serious matter that requires personal knowledge.

   Brian

> .

---

From: Theodore V Faber <[email-masked]>
Date: Thu, 21 Mar 2019 23:11:33 +0000

+1

--
Ted Faber <[email-masked]>
Senior Engineering Specialist
Computer Systems Research Department
The Aerospace Corporation
310-336-7373

________________________________________
From: ietf <[email-masked]> on behalf of Brian E Carpenter <[email-masked]>
Sent: Thursday, March 21, 2019 15:18
To: [email-masked]; [email-masked]
Subject: Re: Recall process

   Brian

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 22 Mar 2019 12:39:00 +1300

> "tourists".  How is that belief reconciled with what is quoted above?

It's a tussle with no easy answer. However, we all know that human
"relationships" formed on-line with little or no personal human
contact are, or may be, very different from normal human relationships.
So far, the IETF has been very reluctant to abandon its dependency
on face-to-face contact as a social anchor. What we're discussing here
is just one small and rarely used aspect of that. I don't think it can
be fixed in isolation. John Klensin's recent message mentions numerous
aspects of the problem space. I don't have answers.

    Brian

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Mar 2019 16:44:57 -0700

Hi Brian,
>aspects of the problem space. I don't have answers.

Thank you for the response.

Regards,
S. Moonesamy

---

From: S Moonesamy <[email-masked]>
Date: Thu, 21 Mar 2019 17:54:40 -0700

Hi Adrian, John,
At 01:52 AM 21-03-2019, Adrian Farrel wrote:
>People signing a recall petition are not making judgements. Those 
>judgements are made by the recall committee.

Yes.  I gather that the participants interested in the topic are 
familiar with due process.  As a point of information, over the 
years, there was only one attempt to use the mechanism.

>- To present a face that is open, welcoming, and fair

Yes.

>The rule was written before registering for remote participation was a thing.

Yes.

>intrusion on the privacy of those who just wanted to quietly

That was the answer given many years ago.

>the pot, and otherwise warm seats and do email.

One one hand, the IETF is saying that "you can contribute 
remotely".  One the other hand, that contribution [1] is not viewed 
as significant if the person(s)cannot attend those fine lunches and dinners.

I do appreciate both of you for commenting openly on the 
topic.  Please consider the following question as optional:  What is 
the rationale for requiring a person residing in an emerging economy 
to rely on a person who can contribute registration fees to seek an 
avenue for redress?

Regards,
S. Moonesamy

1. The word is used loosely.

---

From: Ted Hardie <[email-masked]>
Date: Fri, 22 Mar 2019 08:07:00 +0100

> nomcom-eligible population.
I disagree that it is low.  As written, the bar excludes all of the people
who are currently serving in any nomcom-appointed role (all of the IESG,
IAB, IETF LLC, Trustees) and requires that the signatories be diverse in
origin:

       All individual and collective qualifications of nominating
       committee eligibility are applicable, including that no more than
       two signatories may have the same primary affiliation.

These are both trade-offs to avoid factional control, but they make the
effective bar much higher than it would be if it were just 20 people out
of the active IETF population.  Persuading others to put their names out
as making the request has not been shown to work well, even in cases
where the issues were well known.

I don't necessarily disagree with where the bar is; I've gone back and forth
on that over time and may do so again.  But I think the evidence is that it is
pretty difficult to exercise and I agree that it is even more
difficult for active
contributors who could not themselves sign.

Just my two cents,

Ted Hardie

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 22 Mar 2019 03:51:48 -0500

I'm top posting - how much of this discussion could we short-circuit and
conclude by picking a number, and I don't know what number is right, for
recall signature eligibility, of

   - people who are Nomcom-eligible, or
   - would be Nomcom-eligible if we counted registered remote participants
   the same way we count on-site participants?

I know more about "voting" at IEEE 802 than at IETF (for obvious reasons),
but ISTM that the concern is that someone might be able to stand up a bunch
of sock puppets (or actual humans playing the role of sock puppets), who
don't participate in IETF, but can be urged to sign a recall petition
(professor with at least 20 students, large customer with at least 20
vendors, what other obvious clumping mechanisms can someone imagine?),
maybe just to watch the world burn.

If people have enough skin in the game to have registered for three out of
the past five IETF meetings, as wither onsite or remote participants,
that's at least a higher bar than me passing out a recall petition for
middle school students to sign, the next time I spend the day talking to
several hundred middle school students.

And if that's not the right proxy for "people who care about the IETF, but
don't travel to IETF meetings", what is?

Thanks, and (for at least some of you), travel safely.

Spencer, the outgoing TSV AD

On Fri, Mar 22, 2019 at 2:07 AM Ted Hardie <[email-masked]> wrote:

> pretty difficult to exercise and I agree that it is even more difficult for active

---

From: John C Klensin <[email-masked]>
Date: Sat, 23 Mar 2019 12:40:45 -0400

Spencer, Ted,

--On Friday, March 22, 2019 03:51 -0500 Spencer Dawkins at IETF
<[email-masked]> wrote:

> I'm top posting - how much of this discussion could we
> short-circuit and conclude by picking a number, and I don't
> know what number is right, for recall signature eligibility, of
> 
>    - would be Nomcom-eligible if we counted registered remote
> participants    the same way we count on-site participants?
>...
> If people have enough skin in the game to have registered for
> three out of the past five IETF meetings, as wither onsite or
> remote participants, that's at least a higher bar than me
> passing out a recall petition for middle school students to
> sign, the next time I spend the day talking to several hundred
> middle school students.
> 
> And if that's not the right proxy for "people who care about
> the IETF, but don't travel to IETF meetings", what is?

Depending on what we think the problem is that we are trying to
solve, one could figure out how to titrate the formula a bit,
e.g., by requiring remote participants to actually log into a WG
session or two rather than just registering, but yes.  See
below.   On the other hand, if one is going to go into the sock
puppet business, the incremental difficulty of setting up twenty
socket puppets over setting up, say, five, is likely to be small
indeed.   The benefit also wouldn't come in terms of getting
someone out of a position because, AFAIK, no one has proposed
changing the rules for members of an actual recall committee,
much less the nomcom.  Perhaps those need attention to but the
key issue at this point is just being able to initiate a recall.

>...
>> I disagree that it is low.  As written, the bar excludes all
>> of the people who are currently serving in any
>> nomcom-appointed role (all of the IESG, IAB, IETF LLC,
>> Trustees) and requires that the signatories be diverse in
>> origin:
>> 
>>        All individual and collective qualifications of
>>        nominating committee eligibility are applicable,
>>        including that no more than two signatories may have
>>        the same primary affiliation.
>> 
>> These are both trade-offs to avoid factional control, but
>> they make the effective bar much higher than it would be if
>> it were just 20 people out of the active IETF population.
>> Persuading others to put their names out as making the
>> request has not been shown to work well, even in cases where
>> the issues were well known.

I think the latter has become more important over time.  It may
be just me, but, even for the much lighter-weight (and usually
less personally threatening to specific people in the
leadership) appeals procedure, I'm hearing a lot more "not worth
it given the risk of retaliation" comments than I heard a decade
or so ago.  AFAIK, that is more a change in the participant
population than an increase in obnoxious behavior by the
leadership but the effect is the same either way -- raising the
bar to effective use of either appeals or the recall procedure.

>> I don't necessarily disagree with where the bar is; I've gone
>> back and forth on that over time and may do so again.  But I
>> think the evidence is that it is pretty difficult to exercise
>> and I agree that it is even more difficult for active

Agreed.

No reason why either of you should remember, but I posted a
draft to address a subset of these issues somewhat over thirteen
years ago.  It didn't go anywhere and I never got around posting
a revision that reflected a few of the comments I got at the
time.  Mostly because I don't have the time or energy to pursue
this much further but partially because I'm not confident I have
the right answers (like Ted, I've gone back and forth about at
least parts of it), I've handed the source for that draft and a
few hints over to Subramanian Moonesamy.  I trust he will pursue
the issue via an I-D, which will at least help focus the
discussion.  He may list me as co-author because of the original
draft, but I'm leaving all of the fine-tuning decisions to him
and, after the draft is posted, to the community.

best,
    john

---

From: Dave Taht <[email-masked]>
Date: Sun, 24 Mar 2019 09:01:40 +0100

Forking this conversation a bit.

I know a guy, partially disabled (he sends a lot of time in bed,
reading papers, and writing code), who had to quit attending meetings
3 years ago, for health reasons. He monitors a couple working groups,
still, and he stayed active in one working group, contributing ideas,
testing code. He just helped push 3 of that wg's documents and code to
final adoption (one as "bis") this ietf.

He's a co-author of one RFC, and his work in the IETF is acknowledged
in over a half dozen more, at least one a year for the
last 6+ years.

But he has no voting rights in the ietf, so far as I know, having only
attended virtually.

-- 

Dave Täht
CTO, TekLibre, LLC
http://www.teklibre.com
Tel: 1-831-205-9740

---

From: Brian Carpenter <[email-masked]>
Date: Sun, 24 Mar 2019 22:44:10 +1300

That's *exactly* why rough consensus on technical decisions in the IETF is
required to be based on mailing list discussion, since forever. (Also why
we dont have voting!) But when it gets to picking humans for jobs, or -
worse - ejecting them from jobs, it's always been assumed that some degree
of personal knowledge is needed. That isnt sacred writ, but there are
obvious issues in changing it - e.g. echo chamber effects in online
discourse.

Regards
    Brian
    (via tiny screen & keyboard)

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sun, 24 Mar 2019 11:06:57 +0100 (CET)

On Sun, 24 Mar 2019, Brian Carpenter wrote:

> That's *exactly* why rough consensus on technical decisions in the IETF 
> is required to be based on mailing list discussion, since forever. (Also 
> why we dont have voting!) But when it gets to picking humans for jobs, 
> or - worse - ejecting them from jobs, it's always been assumed that some 
> degree of personal knowledge is needed. That isnt sacred writ, but there 
> are obvious issues in changing it - e.g. echo chamber effects in online 
> discourse.

IETF is the one organisation that comes to my mind that is extremely open 
and you don't even need an affiliation to productively participate without 
even showing up to a single meeting in person.

I participated in my first physical IETF meeting and didn't feel much at 
home at all, even though I had participated in mailing list discussions 
for several years before that.

I have attended other SDOs and there it's definitely a lot more about 
membership, affiliations, closed discussions before closed voting and then 
after everything is said and done, publish documents.

Now, I'm sure some people feel intimidated by the tone and way things are 
done in the IETF, but it's definitely not closed or requiring special 
membership/affiliation to "play".

-- 
Mikael Abrahamsson    email: [email-masked]

---

From: Ted Lemon <[email-masked]>
Date: Sun, 24 Mar 2019 11:52:14 +0100

On Mar 24, 2019, at 11:06 AM, Mikael Abrahamsson <[email-masked]> wrote:
> Now, I'm sure some people feel intimidated by the tone and way things are done in the IETF, but it's definitely not closed or requiring special membership/affiliation to "play".

Because of the way nomcom eligibility works, it effectively does require special membership: you have to be able to attend three out of five IETFs in a row.   We don’t call this a membership, but in effect it is.   The minimum cost of the membership is three times the IETF conference fee plus travel expenses.

---

From: John C Klensin <[email-masked]>
Date: Sun, 24 Mar 2019 08:12:33 -0400

--On Sunday, 24 March, 2019 22:44 +1300 Brian Carpenter
<[email-masked]> wrote:

> That's *exactly* why rough consensus on technical decisions in
> the IETF is required to be based on mailing list discussion,
> since forever. (Also why we dont have voting!) But when it
> gets to picking humans for jobs, or - worse - ejecting them
> from jobs, it's always been assumed that some degree of
> personal knowledge is needed. That isnt sacred writ, but there
> are obvious issues in changing it - e.g. echo chamber effects
> in online discourse.

Brian,

Completely agree up to a point, but let's make a distinction on
the eject side.  You know this but, to be clear about what we
are talking about, there are three steps in that process in
terms of participation qualifications: (1) Generating a petition
and submitting it to the ISOC President, (2) A recall committee
that determines whether someone should be, in your words,
ejected, (3) The Nomcom to determine a replacement.

Now, for the Nomcom and probably the recall committee, there is
a case to be made for personal knowledge although it is becoming
less clear that can only be obtained f2f or that the current
Nomcom requirements are the best we can do, especially for
people with a long participation and f2f meeting history who
have been attending f2f less often in recent years (including,
e.g., you and me).

But, for initiating or endorsing a petition. it seems to me that
the only personal experience that is necessary is knowledge of
whatever the problem is that is believed to justify kicking
someone out.  To me, arguing that requires frequent meeting
participation would be fairly close to arguing that someone who
is not attending three of five meetings cannot use the
anti-harassment procedures because, being remote, they can't be
harassed or otherwise abused.  At present, a person in that
position cannot initiate a recall without organizing twenty
people who are frequent meeting attendees and otherwise
nomcom-eligible.  That is hard because they don't have the
personal experience and contacts for which nomcom eligibility is
a surrogate, precisely because they are not attending meetings.
There are words for that sort of arrangement, and they aren't
very nice.

best,
   john

---

From: Michael Richardson <[email-masked]>
Date: Sun, 24 Mar 2019 13:46:21 +0100

Ted Lemon <[email-masked]> wrote:
    >     Now, I'm sure some people feel intimidated by the tone and way
    > things are done in the IETF, but it's definitely not closed or
    > requiring special membership/affiliation to "play".

    > Because of the way nomcom eligibility works, it effectively does
    > require special membership: you have to be able to attend three out of
    > five IETFs in a row.  We don’t call this a membership, but in effect it
    > is.  The minimum cost of the membership is three times the IETF
    > conference fee plus travel expenses.

You are under-estimating.
That's what is costs to become nomcom eligible for a single year.

If you want to remain enfrancised then you have to continue to attend.
I think that this is where we need to change the rules.  I've written
about this before at length.

I'm happy with the threshold for becoming enfranchised, but I'd like
to lower the threshold to remain enfranchised.  
Somewhere between 1 meeting/year (1:3) and 1 meeting/3 years (1:9).
The 3:5 is satisfied if you go to 2 meetings/year (2:3 > 3:5).

This will have to sorted out more significantly if we want to support larger
numbers of remote participants.  Some formula.

In particular I think that a person who become nomcom eligible should
remain eligible during a typical parental leave period, which in modern
countries is usually around a year.  When I was a parent of a small
child, I getting to more than one meeting a year was logistically impossible,
and that one meeting was a challenge.

Noting as others have already noted, that "voting" at the IETF is not at like
voting at the IEEE.   It's just about who gets to be *directly* involving in
"hiring"  management.

-- 
]               Never tell me the odds!                 | ipv6 mesh networks [ 
]   Michael Richardson, Sandelman Software Works        | network architect  [ 
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sun, 24 Mar 2019 13:58:10 +0100 (CET)

On Sun, 24 Mar 2019, Ted Lemon wrote:

> Because of the way nomcom eligibility works, it effectively does require 
> special membership: you have to be able to attend three out of five 
> IETFs in a row.  We don’t call this a membership, but in effect it is. 
> The minimum cost of the membership is three times the IETF conference 
> fee plus travel expenses.

That's to have an official position, as in WG chair, AD etc.

I have never held any official IETF position and I have been able to 
participate in WG activities just fine.

---

From: Mikael Abrahamsson <[email-masked]>
Date: Sun, 24 Mar 2019 14:00:11 +0100 (CET)

On Sun, 24 Mar 2019, Mikael Abrahamsson wrote:

>> special membership: you have to be able to attend three out of five IETFs 
>> in a row.  We don’t call this a membership, but in effect it is. The 
>> minimum cost of the membership is three times the IETF conference fee plus 
>> travel expenses.
>

My bad, the above is of course irrelevant in the discussion we're having 
here. I forgot what the topic was when Dave changed the subject line.

---

From: Ted Lemon <[email-masked]>
Date: Sun, 24 Mar 2019 14:01:09 +0100

On Mar 24, 2019, at 1:58 PM, Mikael Abrahamsson <[email-masked]> wrote:
> I have never held any official IETF position and I have been able to participate in WG activities just fine.

Yes, but you have no say in IETF leadership.

---

From: Harald Alvestrand <[email-masked]>
Date: Sun, 24 Mar 2019 14:42:54 +0100

On 3/24/19 2:01 PM, Ted Lemon wrote:
> On Mar 24, 2019, at 1:58 PM, Mikael Abrahamsson <[email-masked]
> <mailto:[email-masked]>> wrote:
The eligibility requirements are for nomcom membership (and for signing
recall petitions).

The nomcom listens a lot, and gets input from people who are not
themselves eligible for nomcom membership.

So it's not that you have no say, it's that you have no ability to
volunteer for having a vote.
(of the 100 or so who volunteer for Nomcom in any given year, 90 of them
never get to vote either.)

---

From: Keith Moore <[email-masked]>
Date: Sun, 24 Mar 2019 10:21:48 -0400

> The 3:5 is satisfied if you go to 2 meetings/year (2:3 > 3:5).

So basically the cost of being "in the club" is around USD6000/year for 
someone living in North America, perhaps higher elsewhere.   Or having a 
"sponsor" who is willing to pony up that money on your behalf.   And 
that's assuming you're not staying in the conference hotels.   It's not 
cheap.

I wonder how that compares with the cost of having a say in choosing the 
leadership of some other SDOs?

Regarding recall, I do think the bar should be reasonably high to 
initiate the process.   The primary responsibility for choosing leaders 
should be with the nomcom; recalls should mostly be for emergencies.   
But I don't think the criteria for who can sign the petition are quite 
right.  In principle, I think someone who participates actively on at 
least one WG mailing list, authors or co-authors an internet-draft, or 
especially someone who reviews WG documents, should qualify.  Though in 
practice, I would be concerned that such a policy would encourage 
measurable (but perhaps not meaningful) participation just so that 
certain employers can have their employees sign recall petitions for ADs 
that they didn't like.   There are certainly companies participating in 
IETF with the resources to do that, especially if the bar were lowered.  
And I saw enough dirty pool while on IESG to think it's plausible.

I'm not sure what I'd recommend as a fix.   But it's not an easy problem 
to solve. and we could easily do worse than what we have in place now.

Keith

---

From: Eric Burger <[email-masked]>
Date: Sun, 24 Mar 2019 10:45:58 -0400

IEEE: $3,500 (corporate membership; individuals are <$100 but don’t get to be on the BoG)
OASIS: $4,000 ($1,350 for non-profits)
IETF: Considerably higher than $6,000/year per person, but for argument’s sake, let’s use it.
3GPP: varies from ETSI ($6,800/year) to ATIS ($8,500)
ITU-T: $32,000, and you don’t get to vote on top leadership

So, to be a ‘full’ IETF participant, including governance, costs substantially more than some other SDO’s (wonder why IETF lost CTI work?), but substantially less than the ITU-T (wonder why ITU-t has totally lost out on Internet standards?).

As for “participation in the IETF is free,” it is the same kind of free as open source software is free. Sure, you can download a copy of Linux for free. However, if you want support, it costs 2-10x what some of the proprietary operating systems cost per copy. So much for ‘free’!

> On Mar 24, 2019, at 10:21 AM, Keith Moore <[email-masked]> wrote:
> 
> So basically the cost of being "in the club" is around USD6000/year for someone living in North America, perhaps higher elsewhere.   Or having a "sponsor" who is willing to pony up that money on your behalf.   And that's assuming you're not staying in the conference hotels.   It's not cheap.
> 
> I wonder how that compares with the cost of having a say in choosing the leadership of some other SDOs?
> 
> Regarding recall, I do think the bar should be reasonably high to initiate the process.   The primary responsibility for choosing leaders should be with the nomcom; recalls should mostly be for emergencies.   But I don't think the criteria for who can sign the petition are quite right.  In principle, I think someone who participates actively on at least one WG mailing list, authors or co-authors an internet-draft, or especially someone who reviews WG documents, should qualify.  Though in practice, I would be concerned that such a policy would encourage measurable (but perhaps not meaningful) participation just so that certain employers can have their employees sign recall petitions for ADs that they didn't like.   There are certainly companies participating in IETF with the resources to do that, especially if the bar were lowered.  And I saw enough dirty pool while on IESG to think it's plausible.
> 
> I'm not sure what I'd recommend as a fix.   But it's not an easy problem to solve. and we could easily do worse than what we have in place now.
> 
> Keith
> 
>

---

From: Melinda Shore <[email-masked]>
Date: Sun, 24 Mar 2019 15:56:43 +0100

On 3/24/19 6:45 AM, Eric Burger wrote:
> So, to be a ‘full’ IETF participant, including governance, costs
> substantially more than some other SDO’s (wonder why IETF lost CTI
> work?), but substantially less than the ITU-T (wonder why ITU-t has
> totally lost out on Internet standards?).

Well, wait a minute.  Attending meetings for these other SDOs
also involves travel costs, lodging, etc.

> As for “participation in the IETF is free,” it is the same kind of
> free as open source software is free. Sure, you can download a copy
> of Linux for free. However, if you want support, it costs 2-10x what
> some of the proprietary operating systems cost per copy. So much for
> ‘free’!

It costs time, if nothing else, and that's not free.  But I
do know people who've been productive contributors who never
participate in meetings.  I don't think that nomcom eligibility
determines who is a "full" IETF participant and I'm rather
unhappy about seeing it slowly transitioned into a proxy for
membership.

Melinda

---

From: Dave Taht <[email-masked]>
Date: Sun, 24 Mar 2019 16:07:22 +0100

> So, to be a ‘full’ IETF participant, including governance, costs substantially more than some other SDO’s (wonder why IETF lost CTI work?), but substantially less than the ITU-T (wonder why ITU-t h…

Well, there are so many defacto standards in the world, and so many
ietf standards with near zero adoption and no available code - a
strong argument can be made that the IETF is not succeeding very
often, even with its lower cost model than other SDOs. What cost model
and money spent allocation model results in successful standards? I
certainly wish far more was poured into running code than rough
consensus

> As for “participation in the IETF is free,” it is the same kind of free as open source software is free. Sure, you can download a copy of Linux for free. However, if you want support, it costs 2-10…

This is rather off topic, and not a fair comparison. At least with
open source, you can fix a problem yourself, or hire someone to do it
for you,. If a given new feature or bugfix not on the agenda of the
proprietary vendor, you are completely out of luck. There's a song
about this I do at every con, latest version is here:
https://www.youtube.com/watch?v=0gx_r5ohYaA

-- 

Dave Täht
CTO, TekLibre, LLC
http://www.teklibre.com
Tel: 1-831-205-9740

---

From: Eric Burger <[email-masked]>
Date: Sun, 24 Mar 2019 14:06:54 -0400

I was thinking about the travel for the other organizations when I put it together, but the question asked was about what it took to be a ‘full’ participant. I suppose this is where we get to compare theory with practice.

In theory, one could be on the OASIS board or IEEE BoG or even in leadership in 3GPP for less or a comparable amount as it would cost in the IETF.

In practice, the worst offender is likely 3GPP, where it seems there is a meeting every three weeks in rather inaccessible locations all over the world. One is not likely to be elected or appointed to a leadership position if one is not present. And one is not likely to be present unless one has the backing of a large multinational vendor or government funding it.

Looking introspectively, anyone can participate in the IETF for free, but in practice it costs thousands and is difficult without corporate support. Moreover, the IETF is explicit that if one does not have corporate support, one does not get leadership positions. This comes through in both our NOMCOM rules, but more especially so from the questions asked of AD’s, starting with, “Do you have funding or corporate support to enable such a commitment?” (IETF Chair) or, “Do you have funding or corporate support to enable your maximum attention to the Area Director role?”

Nothing is absolute, I know of at least one IETF Chair who did not get direct corporate support, but the Chair did get direct governmental support, which they were transparent about. However, I would offer that was the exception that proves the rule.

> On Mar 24, 2019, at 10:56 AM, Melinda Shore <[email-masked]> wrote:
>

---

From: Donald Eastlake <[email-masked]>
Date: Sun, 24 Mar 2019 14:25:30 -0400

> IEEE: $3,500 (corporate membership; individuals are <$100 but don’t get to be on the BoG)

The level you are talking about does not make standards. IEEE
Standards Association Standards Projects can have voting either by
individual or organization and are numbered, including the possibility
of sub-numbering. So, for example, to take a project with which I have
some familiarity, there is IEEE 802. It has Working Groups like 802.1
and 802.11, both of which I have, at times, been a voting member. All
802 WGs use individual membership and, I believe, have roughly the
same voting membership qualification which involves attending a couple
of meetings within a time period of 1 1/3 years. And "attending" is
not loosey-goosey, like with the IETF. At least for 802.11, which
meets for a week 6 times a year, you have to be at a session for 75%
of the session time slots during the week. You can't just drop by for
a day or the like. See
http://www.ieee802.org/11/abt80211.html#membership
And, little of the work is done on mailing list. More is done on
teleconferences, depending on how busy a project is, but a lot of the
work is done face-to-face at the 6 week long meetings per year so you
have to at least attend most of them to be effective and most active
participants attend virtually all of them.

So I'm not sure what relevance the cost of corporate membership in IEEE is.

---

From: "Theodore Ts'o" <[email-masked]>
Date: Sun, 24 Mar 2019 15:07:13 -0400

> participants attend virtually all of them.

The same is true for the T13 standards committee, for which I've been
participating in the past year for to try to standard commands to
manage disk drives that can non-destructively switch between SMR and
CMR recording modes.  If you want to participate, you have to attend
in person; some of the locations don't have reliable internet, so even
if they wanted to allow remote participation (which they don't), it
wouldn't be possible at some of the host facilities.

In order to vote the organization has to send a representative to two
out of every three plenary meetings, and vote on every other letter
ballot (where voting on a letter ballot requires review work and
commenting similar to what an AD does on a I-D before he or she votes
on it, or what a peer reviewer does when reviewing a paper for a
conference.)

I can state with pretty high confidence it is *far* more expensive,
especially once you include the software engineering time taken up by
5+ face-to-face meetings/year, to participate in a standards effort
hosted by T13 compared to the IETF, where mailing list partiicipation
is at least an option.  (I also could talk about how horrible their
mailing list infrastructure is --- the basic rule is that they don't
have anyone actively looking after it, so if the web site freezes,
wait for a few hours, and hopefully the windows server will
self-reboot and recover.  Suffice it to say that IETF'ers should be
thankful the next time you might be tempted to complain that the IETF
web services team hasn't implemented some minor feature that you want.
:-)

	    	       	       	    	       - Ted

---

From: Brian E Carpenter <[email-masked]>
Date: Mon, 25 Mar 2019 10:27:29 +1300

John,

On 25-Mar-19 01:12, John C Klensin wrote:
...
 
> someone out.  

Yes, I would hope that the focus is on the problem and not on
the individual. So if you can write a recall petition purely as an
objective problem statement (e.g., "no drafts from the WGs managed
by X have been put on the IESG agenda in the last 6 months") there
is indeed no real need for personal acquaintance with X. But if
the problem is more personalized (e.g., "X is unable to work with
other ADs" or "X is consistently dismissive of WG Chairs"),
it's more tricky.

Maybe a requirement that some fraction (e.g. half) of the petitioners
must be NomCom-eligible would be reasonable?

    Brian

> To me, arguing that requires frequent meeting

---

From: Phillip Hallam-Baker <[email-masked]>
Date: Sun, 24 Mar 2019 18:29:10 -0400

> never get to vote either.)
I was about to point out that it is logical to gate nomcon qualification on
attendance as that is the one IETF function where in person presence is
pretty much essential.

But we should not consider the nomcon to be immutable. The reason we have
it is that Vint Cerf, Jon Postel and others did not want accountability and
did not want to stand for elections. One problem that created was that
there isn't any body that can take controversial decisions so very often
decisions are made by default which is bad.

Having observed that ICANN also exhibits severe organizational pathologies,
I am not minded to defer to their skills in founding durable organizations.

---

From: Dave Cridland <[email-masked]>
Date: Mon, 25 Mar 2019 08:56:28 +0000

On Sun, 24 Mar 2019 at 10:52, Ted Lemon <[email-masked]> wrote:

> Because of the way nomcom eligibility works, it effectively *does* require
> in a row.   We don’t *call* this a membership, but in effect it is.   The
This is correct. I have a number of RFCs to my name, but at only 2.5
meetings in two decades, I don't get a possibility of a say in our
leadership. This irritates me, even though I've been less involved of late.

But I would note it's not that this is terrible. As Brian says, we do (in
principle) do our work on mailing lists, reserving meetings for things that
require high bandwidth discussion. We do (in principle) avoid voting and
defer to technical arguments and running code. We do (in principle)
maintain one of the most open SDOs, with no "pay to play" etc.

The lack of NomCom eligibility does rankle a bit on its own, true. The
juxtaposition of NomCom against the other principles the IETF holds makes
for a stark contrast, so the NomCom rules look out of place and against our
own culture.

The erosion of those other principles worries me much, much, more.

Decisions increasingly occur at meetings and if you "only" follow the
mailing lists, that's no longer enough in some Working Groups. Technical
arguments and in particular running code have increasingly been replaced by
market share. And as Ted says, the membership fees we don't have are
several thousand dollars.

This things are nowhere near critical yet, of course. But they are headed
that way, and I think this is a worsening of the IETF.

Dave.

---

From: Michael StJohns <[email-masked]>
Date: Mon, 25 Mar 2019 05:43:24 -0400

> Yes, but you have no say in IETF leadership.
People keep repeating this statement, but it isn't true.  In the 30 some 
odd years that we've been using a nomcom, I've been a voting member 
twice.  I however have contributed commentary on candidates, lobbied 
quietly and not so quietly for and against both candidates and 
incumbents, and generally made a nuisance of myself in another 10 or so 
Nomcoms.  I would suggest to you that I think I've had a lot more impact 
on the selections when I wasn't on the Nomcom than when I was.

The key thing here is that BOTH require you have some physical presence 
at the meetings - you really can't make the contacts, form the opinions, 
express the opinions, twist arms,  etc unless you can sit down and have 
a meal, a beer, an argument, a joke - all things that are still 
difficult to do  via just an on-line interaction.

That said, EVERYONE who participates in the IETF, whether at the 
meeting, remotely, or only by WG mailing list, helps to form and change 
the culture of the IETF, and in turn helps to shape the holes into which 
we plug the leadership.  It may not be anything as direct as a vote, but 
make no mistake: anyone who wants to can have a say in what the IETF 
leadership is or will be.   So keep nominating people, commenting on 
candidates, and talking about what you think the IETF should be.

Later, Mike

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Mon, 25 Mar 2019 11:51:01 +0100

IMO, of course, but ...

On Mon, Mar 25, 2019 at 10:44 AM Michael StJohns <[email-masked]>
wrote:

> odd years that we've been using a nomcom, I've been a voting member twice.
> I however have contributed commentary on candidates, lobbied quietly and
> not so quietly for and against both candidates and incumbents, and
> generally made a nuisance of myself in another 10 or so Nomcoms.  I would
> suggest to you that I think I've had a lot more impact on the selections
> when I wasn't on the Nomcom than when I was.
>
What I've heard from Mike, and from other early Nomcom chairs that I've
interviewed, is that most of the people on Nomcoms have been pretty
dependent on input from people who aren't on Nomcom for many/most of the
positions they are responsible for filling, for at least a couple of
decades. If you work in TSV, you might have opinions on many of the people
who might make good TSV ADs, but you might not have opinions on most of the
people who might make good SEC ADs, or IAB folk who are responsible for
liaison oversight, or LLC members ...

So, they really do have to listen to the community, and most Nomcom members
I've talked to in the past decade wish they had gotten more input from the
community, rather than less, and you sure don't have to be at meetings to
provide that feedback.

> The key thing here is that BOTH require you have some physical presence at
> the meetings - you really can't make the contacts, form the opinions,
> express the opinions, twist arms,  etc unless you can sit down and have a
> meal, a beer, an argument, a joke - all things that are still difficult to
> do  via just an on-line interaction.
>
My experience has been that online interaction has been more effective for
me (relatively) than it has been for Mike, when it comes to feedback, but
it's certainly true that the hands-on dragooning (onto and off of
Nomcom-reviewed bodies) is easier than trying to do that online.

> That said, EVERYONE who participates in the IETF, whether at the meeting,
> remotely, or only by WG mailing list, helps to form and change the culture
> of the IETF, and in turn helps to shape the holes into which we plug the
> leadership.  It may not be anything as direct as a vote, but make no
> mistake: anyone who wants to can have a say in what the IETF leadership is
> or will be.   So keep nominating people, commenting on candidates, and
> talking about what you think the IETF should be.
>
The last sentence in this paragraph ^^^^ is the most important - the IAB
and IESG don't shape or change the culture nearly as much as people think
they do, or should. It's really up to the community, and as of Thursday
morning this week, that will include me.

I'm very pleased to see SM driving the conversation about requirements for
recall petition signatories on this mailing list, and submitting a draft. I
hope people look at his draft, and help improve it where necessary, and
when that's all over, I hope SM drops a note to the IESG saying "this draft
is ready for publication, who is going to shepherd it?"

That should work. And if it doesn't work, the community should be figuring
out why it doesn't work, and what needs to change to make it work.

Make good choices, of course. And do the right thing.

Spencer

---

From: [email-masked]
Date: Mon, 25 Mar 2019 06:43:56 -0700 (PDT)

> leadership. This irritates me, even though I've been less involved of late.

This more or less descibes my recent situation as well.

And to those who say that input to leadership is possible, the problem isn't
that you can't send something to nomcom, but rather that the system isn't set
up so that a remote participant can make useful assessments of nomcom
candidates.

> The erosion of those other principles worries me much, much, more.

Especially since the world is moving in the other direction: Travel is only
going to get more difficult (at least that's what my crystal ball says), we're
trying to be more inclusive, and the technology for virtual meetings continues
to improve.

The IETF already looks decidedly out of step here. I doubt that's going
to improve.

Agreed.

			Ned

---

From: Nico Williams <[email-masked]>
Date: Mon, 25 Mar 2019 10:12:52 -0500

> This more or less descibes my recent situation as well.

And mine.

> > for a stark contrast, so the NomCom rules look out of place and against our

+1.  I'm not asking for anything, just agreeing.  I liked Michael
Richardson's suggestion that while initial eligibility might be
"expensive", continued eligibility perhaps should not be.

I've not been coming to IETF meetings often in the past decade, but the
cast of usual suspects and ADs is... not that different from when I used
to go to two out of three meetings a year.

> > several thousand dollars.

I've noticed at least one recent instance of physical meeting consensus
taking not confirmed on-list.

Nico
--

---

From: Keith Moore <[email-masked]>
Date: Mon, 25 Mar 2019 11:26:30 -0400

> taking not confirmed on-list.

That's a process error.   If the chair(s) don't fix it when brought to 
their attention, the AD should.   And if not, that should be grounds for 
appeal.

Keith

---

From: Nico Williams <[email-masked]>
Date: Mon, 25 Mar 2019 10:30:22 -0500

On Mon, Mar 25, 2019 at 11:26:30AM -0400, Keith Moore wrote:
> That's a process error.   If the chair(s) don't fix it when brought to their
> attention, the AD should.   And if not, that should be grounds for appeal.

Agreed, and in that instance, we did.  Yes, that was just an anecdote,
not data, given in response to a comment about the risk of that.

---

From: Melinda Shore <[email-masked]>
Date: Mon, 25 Mar 2019 16:45:24 +0100

> not data, given in response to a comment about the risk of that.

It's a major screw-up and one that seems to be happening more
often (plus people referring to what we do as "voting"), but the
problem seems to be happening at the WG chair level with not a
lot of correction from the IESG, frankly.

Melinda

---

From: Ted Lemon <[email-masked]>
Date: Mon, 25 Mar 2019 16:53:03 +0100

On Mar 25, 2019, at 4:26 PM, Keith Moore <[email-masked]> wrote:
> That's a process error.   If the chair(s) don't fix it when brought to their attention, the AD should.   And if not, that should be grounds for appeal.

The problem with this is that it’s fairly easy to miss if you aren’t following closely.   So it’s still important to try to avoid having it happened, rather than having a fairly expensive fallback mechanism to deal with it having happened.

---

From: Nico Williams <[email-masked]>
Date: Mon, 25 Mar 2019 10:55:49 -0500

> lot of correction from the IESG, frankly.

That's fair.

Imagine a worse situation where some of the participants believe a
recall is in order, but none of them are NomCom-eligible.  To my
knowledge we've not reached that situation yet, so it seems academic,
but it's better to know how to deal with such a situation before it
arises.

I don't object to the rules as they are, though I would prefer that
continued eligibility requirements be lower than initial eligibility
requirements.

Nico
--

---

From: Nico Williams <[email-masked]>
Date: Mon, 25 Mar 2019 11:25:57 -0500

On Mon, Mar 25, 2019 at 04:53:03PM +0100, Ted Lemon wrote:
> > That's a process error.   If the chair(s) don't fix it when brought
> > to their attention, the AD should.   And if not, that should be
> > grounds for appeal.
> 
> The problem with this is that it’s fairly easy to miss if you aren’t
> following closely.   So it’s still important to try to avoid having it
> happened, rather than having a fairly expensive fallback mechanism to
> deal with it having happened.

+1.  Appeals are very costly in terms of time and social capital (you
make no friends by threatening an appeal, and even fewer when you
actually appeal).

---

From: S Moonesamy <[email-masked]>
Date: Mon, 25 Mar 2019 10:03:21 -0700

Hi Nico,
>but it's better to know how to deal with such a situation before it

Please see Section 2.2 and 2.3 of 
https://tools.ietf.org/html/draft-moonesamy-recall-rev-00

Regards,
S. Moonesamy

---

From: "John Levine" <[email-masked]>
Date: 25 Mar 2019 17:10:16 +0000

>but it's better to know how to deal with such a situation before it

If I had to rank this on the list of threats the IETF needs to deal
with, it would be far, far, from the top.  Our time is not unlimited
and I would rather deal with issues that are more likely to affect our
ability to get work done.  For me the top of the list is the ever
greyer haired leadership.  The problem isn't that they're doing a bad
job, but that nobody is immortal and it takes quite a while for new
people to absorb enough of the culture to be effective leaders.

Another issue somewhat related to the empty nomcom one is the general
shift to remote participation and how we preserve the work culture, or
perhaps how we move to one that includes remote participants better
and has perhaps a bit less testosterone.

R's,
John

---

From: Ted Lemon <[email-masked]>
Date: Mon, 25 Mar 2019 18:15:57 +0100

> and has perhaps a bit less testosterone.

These are all issues that have come up in discussing the Dogfooding presentations we did in HotRFC on Sunday.   If you are here, you’d be welcome to come participate in the discussion Tuesday evening, ideally at 18:30; otherwise, hopefully we’ll get some new momentum to discuss this on the manycouches mailing list after Prague.   I’ve heard a lot of good ideas for how to approach both the greying problem and the work culture problem.

---

From: Nico Williams <[email-masked]>
Date: Mon, 25 Mar 2019 13:01:49 -0500

> with, it would be far, far, from the top.  Our time is not unlimited

I don't disagree.  If there were to be an effort to review NomCom
eligibility, and/or the recall process, this could be considered (and
possibly discarded) as a work item.  As I've said, I'd be happy with a
loosening of continuing eligibility rules.

> people to absorb enough of the culture to be effective leaders.

Turnover rates in leadership are probably not unrelated to turnover
rates in "membership".  It sounds like we need to attract new
participants.

> and has perhaps a bit less testosterone.

Is the quip about testosterone one about how better to avoid conflict,
or about gender ratios?  Either way, I don't disagree.

Nico
--

---

From: "John R Levine" <[email-masked]>
Date: 25 Mar 2019 19:35:09 +0000

> rates in "membership".  It sounds like we need to attract new

Quite right.  I'd put that pretty high on the list of things to work on.

> or about gender ratios?  Either way, I don't disagree.

Both, really, and I think they're related.  To the extent that the IETF 
seems like an old boys' club where it's acceptable to be gratuitously 
unpleasant, we discourage people who already have to deal with too much of 
that.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Charlie Perkins <[email-masked]>
Date: Mon, 25 Mar 2019 13:57:00 -0700

Hello John,

Just curious -- are there really working groups where it's O.K. to be 
gratuitously unpleasant?  I admit to being quite surprised! I haven't 
seen much of that kind of behavior for a long time...

... thank goodness.  But maybe I'm just not in those working groups?

Regards,
Charlie P.

On 3/25/2019 12:35 PM, John R Levine wrote:
>
> Both, really, and I think they're related.  To the extent that the 
> IETF seems like an old boys' club where it's acceptable to be 
> gratuitously unpleasant, we discourage people who already have to deal 
> with too much of that.
>
> Regards,

---

From: Benjamin Kaduk <[email-masked]>
Date: Mon, 25 Mar 2019 15:59:21 -0500

Well, it happens, but that doesn't make it okay.
And I hope that the community (especially chairs and ADs) are aware enough
to apply appropriately gentle backpressure when it happens.

-Ben

On Mon, Mar 25, 2019 at 01:57:00PM -0700, Charlie Perkins wrote:
> .... thank goodness.  But maybe I'm just not in those working groups?
> 
> Regards,
> Charlie P.
> 
>

---

From: Keith Moore <[email-masked]>
Date: Mon, 25 Mar 2019 17:00:31 -0400

Different people have different ideas about what "unpleasant" means.

Keith

On 3/25/19 4:57 PM, Charlie Perkins wrote:
>> gratuitously unpleasant, we discourage people who already have to 
>> deal with too much of that.
>>
>> Regards,

---

From: "Stan Kalisch" <[email-masked]>
Date: Mon, 25 Mar 2019 17:07:51 -0400

On Mon, Mar 25, 2019, at 3:35 PM, John R Levine wrote:
> 
> To the extent that the IETF seems like an old boys' club where it's acceptable to be gratuitously unpleasant, we discourage people who already have to deal with too much of that.

This. +1

Stan

---

From: "Stan Kalisch" <[email-masked]>
Date: Mon, 25 Mar 2019 17:13:01 -0400

> Different people have different ideas about what "unpleasant" means.

They do, but what is significant is the common, shared subset of those ideas within a community. That subset alone can significantly determine who is part of a community, and who is not.

Thanks,
Stan

---

From: Keith Moore <[email-masked]>
Date: Mon, 25 Mar 2019 17:22:34 -0400

On 3/25/19 5:13 PM, Stan Kalisch wrote:

> They do, but what is significant is the common, shared subset of those 
> ideas within a community.  That subset alone can significantly 
> determine who is part of a community, and who is not.

Agreed.  However, some people are accustomed to environments in which 
criticism of one's technical ideas is interpreted as personal criticism 
by the one expressing such ideas and/or by others.   In my opinion, such 
expectations create a dysfunctional environment in which the ability to 
do good engineering is seriously impaired.   I hope IETF doesn't go that 
way, because I it could make IETF irrelevant.   But, sadly, I've seen 
many signs of this tendency within IETF.

(Of course, if criticism of technical ideas is deemed acceptable by a 
community, an unpleasant person can use such criticism as a proxy for 
criticism of an individual... which is unfortunate.  But if the ideas 
are good, hopefully there will be people to lend support to them.)

That said, I readily admit that as IETF attempts to be hospitable to a 
more diverse set of people (which is what we need to be doing), it may 
paradoxically require us to be less diverse in what we as a community 
consider acceptable behavior.

Keith

---

From: "Stan Kalisch" <[email-masked]>
Date: Mon, 25 Mar 2019 17:57:24 -0400

> Agreed. However, some people are accustomed to environments in which criticism of one's technical ideas is interpreted as personal criticism by the one expressing such ideas and/or by others.

Indeed. But what periodically mystifies me about the IETF (not that this is necessarily unique to this organization) is that you would think it could exercise some kind of collective aptitude to focus on those rigorous, sometimes necessarily blunt technical arguments to the general exclusion of the more grandiose, melodramatic indictments a number of people like to make of the thought processes and consciousness of other participants.

I admit there's probably No One Answer to this. Etc.

Thanks,
Stan

> In my opinion, such expectations create a dysfunctional environment in which the ability to do good engineering is seriously impaired. I hope IETF doesn't go that way, because I it could make IETF irrelevant. But, sadly, I've seen many signs of this tendency within IETF.
> 
>  (Of course, if criticism of technical ideas is deemed acceptable by a community, an unpleasant person can use such criticism as a proxy for criticism of an individual... which is unfortunate. But if the ideas are good, hopefully there will be people to lend support to them.)
> That said, I readily admit that as IETF attempts to be hospitable to a more diverse set of people (which is what we need to be doing), it may paradoxically require us to be less diverse in what we as a community consider acceptable behavior.
> Keith

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 26 Mar 2019 11:42:27 +1300

> They do, but what is significant is the common, shared subset of those ideas within a community.  That subset alone can significantly determine who is part of a community, and who is not.

That's true. And as we have seen more people from non-Anglo-Saxon and then non-European cultures participate, the meaning of "unpleasant" has continued to change, and probably to fragment. I had the good fortune to start my professional life in the particle physics community, where being brutally frank about a colleague's technical errors was normal, so the traditional IETF culture was no surprise to me. But I have often seen it (by body language) to be an unpleasant shock to new participants. Some people get used to it, but some don't. So while I've known Keith long enough to simply say "You're wrong, Keith" and be sure he wouldn't take it as an insult, I hope I would always be more careful with a new participant until I know them better. (For clarity, in this case, Keith's not wrong.)

There's a reason the ITU and ISO tend to use very diplomatic language and very formal procedures. I'm not saying we should do that, but it isn't OK to just ignore the issue of different cultural expectations.

   Brian

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 25 Mar 2019 23:08:50 +0000

>    There's a reason the ITU and ISO tend to use very diplomatic language and very formal procedures. I'm not saying we should do that, but it isn't OK to just ignore the issue of different cultural…
  
For what it's worth, the newcomer's tutorial tries to cover this area topic a bit.

---

From: Keith Moore <[email-masked]>
Date: Mon, 25 Mar 2019 19:39:50 -0400

On 3/25/19 5:57 PM, Stan Kalisch wrote:
>>> They do, but what is significant is the common, shared subset of 
>>> those ideas within a community.  That subset alone can significantly 
>> criticism of one's technical ideas is interpreted as personal 
>> criticism by the one expressing such ideas and/or by others.
>
> Indeed. But what periodically mystifies me about the IETF (not that 
> this is necessarily unique to this organization) is that you would 
> think it could exercise some kind of collective aptitude to focus on 
> those rigorous, sometimes necessarily blunt technical arguments to the 
> general exclusion of the more grandiose, melodramatic indictments a 
> number of people like to make of the thought processes and 
> consciousness of other participants.

We are collectively involved in the building the most elaborate 
distributed system in history, and are constantly fighting difficult 
problems of scale.   People who have been at this awhile can hardly be 
blamed either for a bit of frustration, or for trying to generalize 
about the sources of such frustration.

However it might be worthwhile to seek more effective ways of both 
communicating these observations, and incorporating such feedback into 
our design and architecture.

Keith

---

From: "Stan Kalisch" <[email-masked]>
Date: Mon, 25 Mar 2019 20:50:28 -0400

> We are collectively involved in the building the most elaborate distributed system in history, and are constantly fighting difficult problems of scale. People who have been at this awhile can hardly be blamed either for a bit of frustration, or for trying to generalize about the sources of such frustration.

Well, I'm not advocating for abolishing "a bit of frustration." That's neither fair, nor practical.

> However it might be worthwhile to seek more effective ways of both communicating these observations, and incorporating such feedback into our design and architecture.

Yes.

Stan

---

From: Eric Gray <[email-masked]>
Date: Tue, 26 Mar 2019 08:51:28 +0000

I see this as a negative comment against IETF processes in general.

IETF leadership cares about community response, where "community" reflects the whole set of people who have been active in doing IETF relevant work.

What should matter most is the extent to which some behaviors may interfere with getting the IETF's collective job done.  Actively discouraging people from participating can be one such "interfering" behavior.

However, on one side you have shown a tendency to feel "squashed" as a result of (possibly terse) responses that criticize a technical idea, while - on the other side - you may have people who are actually trying to help steer a participant in a possibly better direction, who feel "squashed" because of the criticism they get as a result of making the effort.

Both sides are bound to feel some degree of "interference" in their efforts to get the job done.  Obviously balance is required.  And a critical part of achieving this balance is to not look for a "personal attack" in any exchange that might simply be the result of someone trying to help.  Also, read your mail before you hit send in an attempt to "filter" out anything that might be seen as a personal, rather than a technical, comment.

Just my thoughts...

From: ietf <[email-masked]> On Behalf Of Stan Kalisch
Sent: Monday, March 25, 2019 5:13 PM
To: [email-masked]
Subject: Re: voting rights in general

Thanks,
Stan

---

From: Wes Hardaker <[email-masked]>
Date: Tue, 26 Mar 2019 01:59:10 -0700

Keith Moore <[email-masked]> writes:

> That said, I readily admit that as IETF attempts to be hospitable to a more
> diverse set of people (which is what we need to be doing), it may paradoxically
> require us to be less diverse in what we as a community consider acceptable
> behavior.

I think your point here is important.  More and more science is emerging
that shows crowd diversity is critical to creating novel, optimal and
widely useful solutions.  As a IETF Guides co-lead, I've received
feedback at certain IETFs from newcomers that were not interested in
returning due to some of the dialog they were exposed to, which is
certainly not ideal.

A counter argument or technical issue should be able to stand upon its
foundational logic and merits regardless of how it is presented.  In
other words, rude arguments should have no greater weight than nicely
phrased ones.  I think sometimes people seem to struggle to create terse
statements that aren't simultaneously considered rude, but I don't
believe terse and polite are mutually exclusive.
-- 
Wes Hardaker
USC/ISI

---

From: Dave Taht <[email-masked]>
Date: Tue, 26 Mar 2019 02:56:11 -0700

> There's a reason the ITU and ISO tend to use very diplomatic language and very formal procedures. I'm not saying we should do that, but it isn't OK to just ignore the issue of different cultural ex…

In my life, I have been very empowered by the idea of clear, and frank
discussions. The oft-brutal game of "Dealer",
at Xerox PARC, the only mandatory meeting, where the participants were
encouraged to go at each other with every form of technical criticism
- and then go have a beer - made for good code.

Also, I have found "kelly johnson's rules" to be very effective.
Notably, in ietf context:

"The designers of the airplane should be on the shop floor while the
first ones are built."

What george carlin damns as "soft language" in (NSFW)
https://www.youtube.com/watch?v=o25I2fzFGoY
infests the ietf today.

In order to be successfully implemented, a specification MUST be
short, clear, and unambigious.

 "For a successful technology, reality must take precedence over
public relations, for Nature cannot be fooled." - Richard Feynman

--

Dave Täht
CTO, TekLibre, LLC
http://www.teklibre.com
Tel: 1-831-205-9740

---

From: Michael Richardson <[email-masked]>
Date: Tue, 26 Mar 2019 15:03:10 +0100

I would be very happy, as chair and as participant, to have some significant
training on how to tell a new participant that they are wrong.

(By significant, I mean, I am willing to pay money for this training,
to spend 2+ days on it, modify my travel schedule to attend it, etc.)

While I am sensitive to cultural differences on how this is can be done well,
I am not willing to smile and allow technically damaging work and/or
mis-guided slideware to continue to take up our very very very valuable
meeting time.

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Mar 2019 10:14:26 -0400

> believe terse and polite are mutually exclusive.

Perhaps not inherently so.   And yet, there is a tension there. A brief 
and clear statement can be shocking, e.g. "The emperor is buck naked".   
And sometimes the shock inhibits listeners' ability to understand or 
accept the statement no matter how clearly it was expressed.   But the 
clarity is often reduced by adding words in an effort to make the 
statement less shocking.

My belief is that while IETF might well need to adapt its traditional 
culture to seem less hostile to newcomers, it nevertheless needs its own 
culture.  And that culture needs to be based on values which promote 
good engineering, for example:

  * A respect for truth above wishful thinking, ego, and preconception;
  * Habitual use of engineering analysis, measurement, modeling when
    feasible, rather than relying exclusively on intuition or experience;
  * A willingness, even eagerness, to change one's mind and publicly
    state this, when better understanding or better data are found 
    (with no shame associated with having been "wrong");
  * A willingness to consider interests beyond those associated with
    one's employer, country, and culture;
  * A shared desire for a timely or better solution that will work, even
    when it's not one's presumed or preferred solution. "The best is the
    enemy of the good."  and "A good solution that won't be deployed is
    not really a solution."

Keith

---

From: [email-masked]
Date: Tue, 26 Mar 2019 07:16:40 -0700 (PDT)

> returning due to some of the dialog they were exposed to, which is

Granting that this is not really my area of expertise, I have to question
whether crowd diversity studies are particularly relevant to the IETF case,
which IME doesn't really have the properties of a crowd. And even if they are,
it has been argued (You Are Not a Gadget, etc.) that "the wisdom of crowds"
works quite well on optimization problems but isn't espectially effective on
coming up with solutions in the first place.

It seems to me that studies on team diversity would be closer to the mark. Such
studies report a wide range of resuls as to the effect of diversity. And while
most of these have focused on paid teams (management, engineering, scientific,
etc.), there have been some that considered volunteer groups that don't appear
to me to be significantly different.

The bottom line is that the functioning of teams is and likely will remain a
bit of a mystery, our huge dependency on them notwithstanding. And this
certainly matches my experience in the IETF. Just as one example among many,
I've seen instances where a well functioning group was brought low by
unnecessarily vitriolic pushback that another group would have simply ignored.
And I don't think diversity was a factor in this.

> believe terse and polite are mutually exclusive.

Antifragility is definitely a desireable quality, and ideally the
tone should not matter. But there's the ideal and then there's the real.

				Ned

---

From: Nico Williams <[email-masked]>
Date: Tue, 26 Mar 2019 10:36:31 -0500

+1

New participants could also stand to get some training.

Nico
--

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 26 Mar 2019 15:42:42 +0000

>    New participants could also stand to get some training.
  
We offer newcomer's training on Sunday, and the same presentation a couple of times the weeks before the IETF.  Are there other things we could do? See https://www.ietf.org/how/meetings/104/newcomers/ and  https://datatracker.ietf.org/meeting/104/materials/slides-104-edu-sesse-newcomers-overview-for-ietf-104-00

---

From: Nico Williams <[email-masked]>
Date: Tue, 26 Mar 2019 10:58:24 -0500

On Tue, Mar 26, 2019 at 03:42:42PM +0000, Salz, Rich wrote:
> We offer newcomer's training on Sunday, and the same presentation a
> couple of times the weeks before the IETF.  Are there other things we
> could do? See https://www.ietf.org/how/meetings/104/newcomers/ and
> https://datatracker.ietf.org/meeting/104/materials/slides-104-edu-sesse-newcomers-overview-for-ietf-104-00 

That slidepack doesn't cover cultural sensitivity, though at least it
refers to smart, vocal, passionate people.  I suppose it'd be nice to
have a video of this presentation being given.

Nico
--

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 26 Mar 2019 16:10:46 +0000

FYI, the YouTube archive of the on 14 March webinar is here:

https://youtu.be/dmONEjnHhyc

Newcomers from Prague:

https://youtu.be/yr2-DUyS7CU

---

From: Brian Haberman <[email-masked]>
Date: Tue, 26 Mar 2019 12:14:13 -0400

> have a video of this presentation being given.

https://www.youtube.com/watch?v=4N8LcLVeeKM

---

From: Tim Chown <[email-masked]>
Date: Tue, 26 Mar 2019 16:21:39 +0000

> On 26 Mar 2019, at 15:42, Salz, Rich <[email-masked]> wrote:
> 

Do we include a map showing where all the historic IETF minefields are?

"So we should add a DHCPv6 default gateway option!"
"We can just insert an extra header here rather than encapsulating!"
etc.

I suspect if newcomers step on one of those unwittingly they may get a harsher response than usual.

I wonder what the 10 biggest mines are....?

Tim

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 26 Mar 2019 16:29:04 -0000

[Responding on thread, but not specifically to Tim]

While it is good to be sensitive to newcomers, may I suggest that we should
treat everyone the same, and that is nicely!

The theory seems to be that "It is OK to be harsh, abrupt, or shouty with
established participants when they do something we don't like, but if they
are a newcomer we should be gentle."

Well, no! We should be civil and polite to everyone, and we should not need
to behave differently to one subset.

Sure, if someone presses a hot button, we should say "Whoa, that is a big
red flag in the IETF." And we should offer to explain why, offline, and in
private. But why would we not do that to an established participant?

If we are nice by default, we don't need to worry about how to be nice in
special cases. Better still, we don't have to work out how to distinguish
categories of participants.

Just be professional and nice.

Thanks,
Adrian

-----Original Message-----
From: ietf <[email-masked]> On Behalf Of Tim Chown
Sent: 26 March 2019 16:22
To: Salz, Rich <[email-masked]>
Cc: [email-masked]; Michael Richardson <[email-masked]>
Subject: Re: cultural sensitivity towards new comers (was Re: voting rights
in general)

> We offer newcomer's training on Sunday, and the same presentation a couple
of times the weeks before the IETF.  Are there other things we could do? See
https://www.ietf.org/how/meetings/104/newcomers/ and
https://datatracker.ietf.org/meeting/104/materials/slides-104-edu-sesse-newc
omers-overview-for-ietf-104-00 

I suspect if newcomers step on one of those unwittingly they may get a
harsher response than usual.

Tim

---

From: Yoav Nir <[email-masked]>
Date: Tue, 26 Mar 2019 17:46:13 +0100

> On 26 Mar 2019, at 16:42, Salz, Rich <[email-masked]> wrote:
> 

I don’t think we can (or should) undo a lifetime of cultural training with a few slides.

If in your culture it is considered extremely rude to question a speaker in public, and instead you should approach them after the session and tell them privately what you think is wrong, you will not run to the mic and tell them their idea is stupid just because we’ve shown you a slide that says it’s OK to do so here.  At least the feedback does reach its mark in the end.

The converse is, of course, worse. With the same cultural norms, if someone goes to the mic and calls you out for what you are saying, he’s either a rude boor who should be ignored, or someone who is so important and knowledgeable that he’s not bound by the rules. I don’t know how it helps to show you a slide saying that around here everyone will call you out in public. Are we just saying that everyone is a rude boor?

Yoav

---

From: Melinda Shore <[email-masked]>
Date: Tue, 26 Mar 2019 18:06:43 +0100

> to behave differently to one subset.

[no hats]

Indeed!  I'm puzzled by arguments suggesting that people
don't know how to respond politely to someone who's wrong,
anyway, and the entire cascade consequential to that.  For
example, if the goal is to have very smart people participating,
it seems likely to me that the intersection of the set of
very smart people and the set of very thick-skinned people
is almost certainly smaller than the set of very smart people
(and by definition cannot be larger).  I also suspect that
over the decades we've essentially selected for people who
are rude and/or thick-skinned, and we've gotten into a
situation that's self-reinforcing and very difficult to
change.  And a third issue is that it seems prudent to me to
allow for the possibility that you're wrong, as well, and that
it might be wise to leave yourself room to be wrong gracefully.
And, of course, a fourth issue is that while sometimes people
are just plain wrong, in many cases they're making different
tradeoffs from the ones you're making and they have different
priorities.  In the interest of doing good work and producing
quality results it would make sense to try to work that out
rather than to assume there are only two choices in a given
situation, one of which is "right" and the other of which is
"wrong."

I've seen chairs tolerate some surprisingly abusive behavior
on the part of working group participants and I think dealing
with that might be a first step towards developing a culture
less likely to drive off people trying to bring work here.

Melinda

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Mar 2019 14:28:50 -0400

On 3/26/19 12:46 PM, Yoav Nir wrote:

> With the same cultural norms, if someone goes to the mic and calls you out for what you are saying, he’s either a rude boor who should be ignored, or someone who is so important and knowledgeable that he’s not bound by the rules. I don’t know how it helps to show you a slide saying that around here everyone will call you out in public. Are we just saying that everyone is a rude boor?

No, we're saying that in IETF we have a responsibility to effectively 
call attention to design flaws.   Sometimes, doing so in public is 
appropriate, especially because it affords the opportunity for others 
who are present to agree or disagree. It's called making effective use 
of meeting time, and honoring the effort and expense that other 
participants have invested to be there.

We also have a responsibility to listen to constructive criticism when 
offered, even if that might be offensive in a different context.

There's nothing rude about it.  What's rude is expecting people to not 
do such things.

Keith

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Mar 2019 14:30:56 -0400

On 3/26/19 1:06 PM, Melinda Shore wrote:

> I also suspect that
> are rude and/or thick-skinned

I suspect that these are qualities that are at least somewhat helpful to 
the kind of engineering that IETF necessarily needs to do, i.e. 
accepting input from people with very diverse experiences and 
assumptions, and taking those diverse inputs into account when 
constructing and evaluating solutions.   So selecting for such people 
might not inherently be a Bad Thing.

Keith

---

From: Melinda Shore <[email-masked]>
Date: Tue, 26 Mar 2019 19:33:09 +0100

On 3/26/19 7:28 PM, Keith Moore wrote:
> call attention to design flaws.  

Right, but the question is whether or not we're able to do that
without being unkind.  Plus, when you do it you need to be open
to the possibility that 1) you're wrong, 2) you're making different
tradeoffs, 3) that it's a difference of opinion rather than someone
else being mistaken.

Melinda

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Mar 2019 14:41:16 -0400

On 3/26/19 2:33 PM, Melinda Shore wrote:

> without being unkind.

"unkind" is subjective, and heavily dependent on one's assumptions.   
The point is that different assumptions are appropriate in IETF.   
What's not appropriate is to expect IETF to cater to everyone's 
assumptions, no matter how much they impede IETF's work.

(Of course there are some things that are unkind no matter what, e.g. 
insults to someone's person, culture, background, etc. Question ideas, 
respect people.)

If someone points out that I've made a bad assumption or that I've made 
a design choice that would cause problems, I don't consider it unkind to 
have it pointed out to me.  I consider it helpful, maybe because I can 
make my proposal better with such knowledge, or maybe because I can stop 
investing in something that simply won't work. Either way, everybody wins.
> Plus, when you do it you need to be open

Absolutely.

Keith

---

From: Melinda Shore <[email-masked]>
Date: Tue, 26 Mar 2019 19:57:03 +0100

On 3/26/19 7:41 PM, Keith Moore wrote:
> have it pointed out to me. 

Of course not, and that's not in dispute.  Maybe I've missed
something but I haven't seen anyone say that disagreement is
not okay or that argument is not okay.  But, people really need
to stay away from ad hominem argumentation, imputing malicious
motivation to someone who disagrees with you, and so on.  When
you suggest that you think it could be a boon to the organization
to have participants behave in a way that drives out people with
low tolerance for abuse, you're basically arguing in favor of
that abuse, or at least that's how I read it.

There are other technical organizations no less rigorous than
the IETF (some arguably moreso) with much narrow, more stringent codes
of conduct than we have.  If we're concerned about bringing new
people in (and I think we should be) and trying to make sure that
our output remains relevant to how networks are being used, I
think we need to ratchet back the animus.  I'd really like to see
wg chairs step up and take some responsibility for making their
working groups good places for people to do productive work, and
for all of us to be thoughtful about the consequences of creating
hostile environments for other participants.

Melinda

---

From: Michael Richardson <[email-masked]>
Date: Tue, 26 Mar 2019 20:07:26 +0100

> couple of times the weeks before the IETF.  Are there other things
    > we could do? See https://www.ietf.org/how/meetings/104/newcomers/
    > and

Mostly, it not the newcomers that need help being nice to newcomers.
They need training on having appropriately thick skins.

---

From: Keith Moore <[email-masked]>
Date: Tue, 26 Mar 2019 15:29:39 -0400

Sent from my iPhone

> On Mar 26, 2019, at 2:57 PM, Melinda Shore <[email-masked]> wrote:
> 
> motivation to someone who disagrees with you, and so on.  

Agree .

> When

What I meant, but perhaps was not sufficiently clear about, was that _some_ speech that would be considered rude in some cultures or contexts, should be entirely appropriate in IETF (and I would suggest, in many other contexts in which people are dealing with immense complexity and/or the potential for serious harm).  The only reason I say this is because there are many social conventions that encourage  overlooking problems and/or denial, and those conventions are therefore detrimental to IETF’s work. 

I’ll give a specific example.  In some circles it’s considered inappropriate to question the technical judgment of someone who has higher “status” than oneself.  In IETF, notions of “status” should not matter.  

Keith

---

From: "Stan Kalisch" <[email-masked]>
Date: Tue, 26 Mar 2019 17:42:51 -0400

> to behave differently to one subset.

It's also worth noting that, usually, when something devolves into animus or shouting, it's in opposition to the terseness being extolled in this thread.

Stan

---

From: Eric Heflin <[email-masked]>
Date: Tue, 26 Mar 2019 17:29:00 -0500

+1 Melinda

---

From: S Moonesamy <[email-masked]>
Date: Tue, 26 Mar 2019 15:55:12 -0700

Hi Spencer,
At 03:51 AM 25-03-2019, Spencer Dawkins at IETF wrote:
>I'm very pleased to see SM driving the conversation about 
>requirements for recall petition signatories on this mailing list, 
>and submitting a draft. I hope people look at his draft, and help 
>improve it where necessary, and when that's all over, I hope SM 
>drops a note to the IESG saying "this draft is ready for 
>publication, who is going to shepherd it?"

The draft is nearly ready for IESG Review.  I edited some of the text 
suggested by Adrian to make it clear that the proposals in the draft 
do not change the procedures specified in RFC 7776.

>That should work. And if it doesn't work, the community should be 
>figuring out why it doesn't work, and what needs to change to make it work.

If it does not work, it will not sound convincing whenever an IESG or 
IAB member suggests to a subset of participants to submit a draft.

Regards,
S. Moonesamy

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 27 Mar 2019 12:14:29 +1300

> They need training on having appropriately thick skins.

Please read the 3rd paragraph at
https://www.ietf.org/about/participate/get-started/starting/
If you think that summary (which I drafted some years ago)
is wrong, somebody in the EMO directorate can presumably
get it updated.

   Brian

---

From: Tim Chown <[email-masked]>
Date: Wed, 27 Mar 2019 12:00:19 +0000

I liked in BMWG today that the chairs added "be nice to each other" in the note well introduction :)

Slide 2 of https://datatracker.ietf.org/meeting/104/materials/slides-104-bmwg-agenda-status-and-milestones-01

Tim

---

From: Michael Richardson <[email-masked]>
Date: Thu, 28 Mar 2019 10:58:49 +0100

Yoav Nir <[email-masked]> wrote:
    > The converse is, of course, worse. With the same cultural norms, if
    > someone goes to the mic and calls you out for what you are saying, he’s
    > either a rude boor who should be ignored, or someone who is so
    > important and knowledgeable that he’s not bound by the rules. I don’t
    > know how it helps to show you a slide saying that around here everyone
    > will call you out in public. Are we just saying that everyone is a rude
    > boor?

Than you for this explanation, I like it.

Am I supposed to take the culture of the (newcomer) presenter into account?

As a chair, if I get a pile of slides that simply won't go down well, how to
do tell the presenter why they aren't getting a time allocation.

If I'm not the chair, and the endless slideware shows up, how to I tell the
chair to stop wasting our time?

---

From: Michael Richardson <[email-masked]>
Date: Thu, 28 Mar 2019 15:30:15 +0100

Brian E Carpenter <[email-masked]> wrote:
    >> > couple of times the weeks before the IETF.  Are there other things >
    >> we could do? See https://www.ietf.org/how/meetings/104/newcomers/ >
    >> and

    > https://www.ietf.org/about/participate/get-started/starting/ If you
    > think that summary (which I drafted some years ago) is wrong, somebody
    > in the EMO directorate can presumably get it updated.

This paragraph:

} The IETF is normally very welcoming to newcomers, and tolerance is the
} rule. The technical level is quite high, so if you write something that turns
} out to be wrong, you may get some quite frank replies. Or sometimes you will
} get a reply from someone whose first language is not English, and they can be
} rude without intending it. (If someone is seriously offensive, the WG Chairs
} are supposed to deal with it.) Don't be discouraged; everybody started as a
} newcomer.

Some examples might be worthwhile.

For example: "Je demande" in french is properly translated as "I ask", but
it could be translated literally as "I demand", which is significantly more
hostile.

---

From: Brian E Carpenter <[email-masked]>
Date: Fri, 29 Mar 2019 11:26:35 +1300

> Some examples might be worthwhile.

True, but that particular text was intended to be concise enough that
people would be likely to read it through. In a longer version, examples
would certainly be good. The "lost in translation" problem is real, but
it's not the whole story of course.

> it could be translated literally as "I demand", which is significantly more

You have reason. (Tu a raison.) But looking at the above quote, I can see
that the difference between "frank" and "rude" is very subjective. I think
we all agree that if someone is factually or technically wrong in an
engineering discussion, it's necessary to say so. But how to do so
is a complicated question.

    Brian

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Fri, 29 Mar 2019 01:28:47 +0100

> is a complicated question.

I'm not sure how specific this discussion is intended to be, but I just
finished about six years of balloting on documents in IESG Evaluation.

What seemed helpful was to phrase my concerns and disagreements as
questions ("but how does that approach handle this edge case?"), rather
than as statements ("that approach doesn't handle this edge case").

Not all questions are nonconfrontational ("are you insane?"), but in my
experience, technical questions are usually less confrontational.

Do the right thing, of course!

Spencer

   Brian

---

From: tom petch <[email-masked]>
Date: Sun, 31 Mar 2019 17:26:44 +0000

----- Original Message -----
From: "Spencer Dawkins at IETF" <[email-masked]>
Sent: Friday, March 29, 2019 12:28 AM

> On Thu, Mar 28, 2019, 23:27 Brian E Carpenter
<[email-masked]> wrote:
> > >  >> > couple of times the weeks before the IETF.  Are there
other
> > things >
> > >  >> we could do? See
https://www.ietf.org/how/meetings/104/newcomers/
> > >  >> and
https://datatracker.ietf.org/meeting/104/materials/slides-104-edu-sesse-
newcomers-overview-for-ietf-104-00
> > >  > https://www.ietf.org/about/participate/get-started/starting/
If
> > you
> > >  > think that summary (which I drafted some years ago) is
wrong,
> > somebody
> > > } rule. The technical level is quite high, so if you write
something
> > that turns
> > > } out to be wrong, you may get some quite frank replies. Or
sometimes
> > you will
> > > } get a reply from someone whose first language is not English,
and they
> > can be
> > > } rude without intending it. (If someone is seriously offensive,
the WG
> > Chairs
> > > } are supposed to deal with it.) Don't be discouraged; everybody
started
> > as a
> > > For example: "Je demande" in french is properly translated as "I
ask",
> > but

Spencer

Interesting.

I have gone in the opposite direction, seeing, in my Western culture, a
question as always being at least pushy and sometimes somewhat
aggressive so I seek to make statements instead.  But at the same time,
I seek to qualify them so I would only say
'That approach does not handle this case'
if I can quote chapter and verse e.g.
'because it is in contravention of section 15.3 of RFC57xx'
If I cannot give such supporting evidence, then I tend to say
'I think that ...'
leaving it open - hopefully - for others to feel comfortable taking a
different stance.

Either way, I ask far fewer questions that I did twenty years ago

Tom Petch